<?php
namespace Bushelpowered\Api\Payments\V1\Event;
        
class PaymentEvent implements \Bushelpowered\Api\Common\Event\Event, \Bushelpowered\Api\Common\Event\StandardEvent
{
    public \Bushelpowered\Api\Payments\V1\Model\PaymentStandard $data;
    public string $idempotencyKey;
    /** @var string $eventCreationTime of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $eventCreationTime;
    public ?string $tenantId = null;

    /**
     * @param  string  $eventCreationTime of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(\Bushelpowered\Api\Payments\V1\Model\PaymentStandard $data, string $idempotencyKey, string $eventCreationTime, ?string $tenantId)
    {
        $this->data = $data;
        $this->idempotencyKey = $idempotencyKey;
        $this->eventCreationTime = $eventCreationTime;
        $this->tenantId = $tenantId;
    }
    
    public function getData(): \Bushelpowered\Api\Payments\V1\Model\PaymentStandard
    {
        return $this->data;
    }
    public function getIdempotencyKey(): string
    {
        return $this->idempotencyKey;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getEventCreationTime(): string
    {
        return $this->eventCreationTime;
    }
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}