<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BuildResponse implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $flavorId;
    public string $iosDisplayName;
    public string $androidBundleId;
    public string $iosBundleId;
    public ?string $versionName = null;
    public ?string $iosProduceItcTeamName = null;
    public ?string $iosCertTeamId = null;
    public ?string $iosFastlanePassword = null;
    public ?string $iosFastlaneUser = null;
    public ?string $iosApiKey = null;
    public ?string $iosKeyId = null;
    public ?string $iosIssuerId = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $flavorId, string $iosDisplayName, string $androidBundleId, string $iosBundleId, ?string $versionName, ?string $iosProduceItcTeamName, ?string $iosCertTeamId, ?string $iosFastlanePassword, ?string $iosFastlaneUser, ?string $iosApiKey, ?string $iosKeyId, ?string $iosIssuerId, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->flavorId = $flavorId;
        $this->iosDisplayName = $iosDisplayName;
        $this->androidBundleId = $androidBundleId;
        $this->iosBundleId = $iosBundleId;
        $this->versionName = $versionName;
        $this->iosProduceItcTeamName = $iosProduceItcTeamName;
        $this->iosCertTeamId = $iosCertTeamId;
        $this->iosFastlanePassword = $iosFastlanePassword;
        $this->iosFastlaneUser = $iosFastlaneUser;
        $this->iosApiKey = $iosApiKey;
        $this->iosKeyId = $iosKeyId;
        $this->iosIssuerId = $iosIssuerId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}