<?php

namespace Bushelpowered\Api\Platform\Location\V1\Request;

class CreateOrUpdateLocationRequest
{
    public string $type;
    public $data;
    private \JsonMapper $mapper;

    private static $types = [
        'location' => '\Bushelpowered\Api\Platform\Location\V1\Request\LocationRequest',
        'facility' => '\Bushelpowered\Api\Platform\Location\V1\Request\FacilityRequest',
    ];

    private function __construct($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function Location(\Bushelpowered\Api\Platform\Location\V1\Request\LocationRequest $data): CreateOrUpdateLocationRequest
    {
        return new CreateOrUpdateLocationRequest('location', $data);
    }
    public static function Facility(\Bushelpowered\Api\Platform\Location\V1\Request\FacilityRequest $data): CreateOrUpdateLocationRequest
    {
        return new CreateOrUpdateLocationRequest('facility', $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    